/*
 * Copyright (c) 2001, DecisionSoft Limited All rights reserved.
 * Please see LICENSE.TXT for more information.
 */

/*

  FunctionDSLException - exception class for fucntions

*/

#ifndef _FUNCTIONEXCEPTION_HPP
#define _FUNCTIONEXCEPTION_HPP

#include <config.h>


#include "DSLException.hpp"

/** exception class for tests. Inherit from this if you need to throw an exception
    in the test suite.*/
class FunctionException : public DSLException
{
public:
  ///constuctor.
  FunctionException( string whr, string e ) : DSLException( e ) { _where = whr; };

  /// get method.
  const string getWhere() const { return _where; };
  const string getError() const
  {
    //return _where + " - " + DSLException::getError();
    return DSLException::getError();
  }

private:
  string _where;
};

#endif // _FUNCTIONEXCEPTION_HPP
