/*
 * Copyright (c) 2001, DecisionSoft Limited All rights reserved.
 * Please see LICENSE.TXT for more information.
 */

/*

  NodeListException - exception class for DeadNodeList

*/

#ifndef _NODELISTEXCEPTION_HPP
#define _NODELISTEXCEPTION_HPP

#include <config.h>


#include "DSLException.hpp"

/** exception class for DSLPath parser */
class NodeListException : public DSLException
{
public:
  ///constuctor.
  NodeListException(std::string e)
    : DSLException(e) { };

};

#endif // _NODELISTEXCEPTION_HPP

