/*
 * Copyright (c) 2001, DecisionSoft Limited All rights reserved.
 * Please see LICENSE.TXT for more information.
 */

/*

  VariableStoreDSLException - exception class for fucntions

*/

#ifndef _VARSTOREEXCEPTION_HPP
#define _VARSTOREEXCEPTION_HPP

#include <config.h>


#include "DSLException.hpp"

/** exception class for tests. Inherit from this if you need to throw an exception
    in the test suite.*/
class VariableStoreException : public DSLException
{
public:
  ///constuctor.
  VariableStoreException( std::string whr, std::string e ) : DSLException( e ) { _where = whr; };

  /// get method.
  std::string getWhere(){ return _where; };

private:
  std::string _where;
};

#endif // _VARSTOREEXCEPTION_HPP
