/*
 * Copyright (c) 2001, DecisionSoft Limited All rights reserved.
 * Please see LICENSE.TXT for more information.
 */

#include "FunctionBoolean.hpp"
#include "../dataItem/DataItemBool.hpp"

FunctionBoolean::FunctionBoolean(const vector<const DataItem*> &args)
  : XPathFunction(1, 1, args)
{
}

DataItem *FunctionBoolean::execute(const Context *context) const
{
  return new DataItemBool(getBoolArg(0, context));
}

#ifdef TEST

#include <xercesc/dom/DOMDocument.hpp>
#include "../testharness/TestFunction.hpp"

// Test functions

void FunctionBoolean::setUp()
{

  // Nothing to do

}

FunctionBoolean::FunctionBoolean(std::string name)
  : XPathFunction(2, 2, vector<const DataItem*>())
{





}

// Not testes
void FunctionBoolean::testExecute()
{

  // No testing, as this function is too simple.

}

#endif
