/*
 * Copyright (c) 2001, DecisionSoft Limited All rights reserved.
 * Please see LICENSE.TXT for more information.
 */

#include "FunctionFalse.hpp"
#include "../dataItem/DataItemBool.hpp"

FunctionFalse::FunctionFalse(const vector<const DataItem*> &args)
  : XPathFunction(0, 0, args)
{
}

DataItem *FunctionFalse::execute(const Context *context) const
{
  return new DataItemBool(false);
}
