/*
 * Copyright (c) 2001, DecisionSoft Limited All rights reserved.
 * Please see LICENSE.TXT for more information.
 */

#include "FunctionLast.hpp"
#include "../context/Context.hpp"
#include "../dataItem/DataItemNumeric.hpp"

FunctionLast::FunctionLast(const vector<const DataItem*> &args)
  : XPathFunction(0, 0, args)
{
}

DataItem *FunctionLast::execute(const Context *context) const
{
  return new DataItemNumeric(context->getContextSize());
}
