/*
 * Copyright (c) 2001, DecisionSoft Limited All rights reserved.
 * Please see LICENSE.TXT for more information.
 */

#include "FunctionNumber.hpp"
#include "../dataItem/DataItemNumeric.hpp"

FunctionNumber::FunctionNumber(const vector<const DataItem*> &args)
  : XPathFunction(1, 1, args)
{
}

DataItem *FunctionNumber::execute(const Context *context) const
{
  return new DataItemNumeric(getNumeralArg(0, context));
}

#ifdef TEST

#include <xercesc/dom/DOMDocument.hpp>
#include "../testharness/TestFunction.hpp"

// Test functions

void FunctionNumber::setUp()
{

  // Nothing to do

}

FunctionNumber::FunctionNumber(std::string name)
  : XPathFunction(2, 2, vector<const DataItem*>())
{





}

// Not testes
void FunctionNumber::testExecute()
{

  // No testing, as this function is too simple.

}

//*********************
#endif
