/*
 * Copyright (c) 2001, DecisionSoft Limited All rights reserved.
 * Please see LICENSE.TXT for more information.
 */

#include "FunctionPosition.hpp"
#include "../context/Context.hpp"
#include "../dataItem/DataItemNumeric.hpp"

FunctionPosition::FunctionPosition(const vector<const DataItem*> &args)
  : XPathFunction(0, 0, args)
{
}

DataItem *FunctionPosition::execute(const Context *context) const
{
  return new DataItemNumeric(context->getContextPosition());
}
