/*
 * Copyright (c) 2001, DecisionSoft Limited All rights reserved.
 * Please see LICENSE.TXT for more information.
 */

#include "FunctionTrue.hpp"
#include "../dataItem/DataItemBool.hpp"

FunctionTrue::FunctionTrue(const vector<const DataItem*> &args)
  : XPathFunction(0, 0, args)
{
}

DataItem *FunctionTrue::execute(const Context *context) const
{
  return new DataItemBool(true);
}
