/*
 * Copyright (c) 2001, DecisionSoft Limited All rights reserved.
 * Please see LICENSE.TXT for more information.
 */

#include <dom3-xpath/XPathException.hpp>

XPathException::XPathException(const XPathExceptionCode code, const std::string &message)
{
  _code = code;
  _message = message;
}//constructor


XPathException::~XPathException()
{
	//Nothing
}//destructor

const XPathException::XPathExceptionCode XPathException::getCode(void) const
{
  return _code;
}//getCode

const std::string &XPathException::getString(void) const
{
  return _message;
}//getString
