/*
 * Copyright (c) 2001, DecisionSoft Limited All rights reserved.
 * Please see LICENSE.TXT for more information.
 */

#ifndef _CHILDAXIS_HPP
#define _CHILDAXIS_HPP

#include <config.h>


#include "NavStep.hpp"
#include "ForwardAxis.hpp"
/**
This class implements the ChildAxis axis as defined by the XPath spec
*/


class PATHAN_EXPORT ChildAxis : public ForwardAxis
{
protected:
  DeadNodeList *makeList(XERCES_CPP_NAMESPACE_QUALIFIER DOMNode *node, DeadNodeList *list) const;
  XERCES_CPP_NAMESPACE_QUALIFIER DOMNode *doCreativeMode(XERCES_CPP_NAMESPACE_QUALIFIER DOMNode *node, const Context *context) const;
};


#endif

