/*
 * Copyright (c) 2001, DecisionSoft Limited All rights reserved.
 * Please see LICENSE.TXT for more information.
 */

#ifndef _INHERITEDATTRIBUTEAXIS_HPP
#define _INHERITEDATTRIBUTEAXIS_HPP

#include <config.h>

#include "ReverseAxis.hpp"

/**
This class implements the InheritedAttributeAxis axis as defined by the XPath spec
*/


class PATHAN_EXPORT InheritedAttributeAxis : public ReverseAxis
{
protected:
  DeadNodeList *makeList(XERCES_CPP_NAMESPACE_QUALIFIER DOMNode *node, DeadNodeList *list) const;
  XERCES_CPP_NAMESPACE_QUALIFIER DOMNode *doCreativeMode(XERCES_CPP_NAMESPACE_QUALIFIER DOMNode *node, const Context *context) const;
};


#endif

