/*
 * Copyright (c) 2001, DecisionSoft Limited All rights reserved.
 * Please see LICENSE.TXT for more information.
 */

#include "PrecedingSiblingAxis.hpp"
#include <xercesc/dom/DOMNodeList.hpp>

DeadNodeList *PrecedingSiblingAxis::makeList(XERCES_CPP_NAMESPACE_QUALIFIER DOMNode *node, DeadNodeList *list) const
{
  list->clear();

  XERCES_CPP_NAMESPACE_QUALIFIER DOMNode *parent = node->getParentNode();

  if(node->getNodeType() != XERCES_CPP_NAMESPACE_QUALIFIER DOMNode::DOCUMENT_NODE) {

     //  DeadNodeList children(node.getChildNodes());
     XERCES_CPP_NAMESPACE_QUALIFIER DOMNodeList *children = parent->getChildNodes();

     for(unsigned int i = 0; i < children->getLength(); i++) {

        if(children->item(i) == node) {
           break;
        }
        list->push_back(children->item(i));
     }
  }

  return list;
}
