/*
 * Copyright (c) 2001, DecisionSoft Limited All rights reserved.
 * Please see LICENSE.TXT for more information.
 */

#include "PredicateStepExprDSLPath.hpp"

PredicateStepExprDSLPath::PredicateStepExprDSLPath(DataItem *expr)
  : PredicateStepExpr(expr)
{
}

bool PredicateStepExprDSLPath::doPredicate(const Context *context) const
{
  return _expr->asBool(context);
}

PredicateStepExprDSLPath::~PredicateStepExprDSLPath()
{
}
