/*
 * Copyright (c) 2001, DecisionSoft Limited All rights reserved.
 * Please see LICENSE.TXT for more information.
 */

#ifndef _PREDICATESTEPEXPRXPATH_HPP
#define _PREDICATESTEPEXPRXPATH_HPP

#include <config.h>


#include "PredicateStepExpr.hpp"

using namespace std;

/** PredicateStepExprXPath processes a predicate expression (numeric
    or functional) and does the appropriate test **/

class PATHAN_EXPORT PredicateStepExprXPath : public PredicateStepExpr
{
public:
  PredicateStepExprXPath(DataItem *expr);
  virtual ~PredicateStepExprXPath();

  /** performs the test, and returns a bool stating whether candidate is valied*/
  bool doPredicate(const Context *context) const;
};

#endif // _PredicateStepExprXPath_HPP
