/*
 * Copyright (c) 2001, DecisionSoft Limited All rights reserved.
 * Please see LICENSE.TXT for more information.
 */

/*
  Definition of parser control struct.

  This is needed by Xparser.y, test.cpp and ../lexer/XPathLexer.cpp.
*/

#ifndef _XPATHPARSERCONTROL_HPP
#define _XPATHPARSERCONTROL_HPP

#include <config.h>

#include "../dataItem/DataItem.hpp"
#include "../context/Context.hpp"

//typedef unsigned int YY_CHAR;
class xxFlexLexer;

//#include <FlexLexer.h>

struct XPathParserControl {
  DataItem *result;
  xxFlexLexer *lexer;
  const FunctionLookup *flook;

  //for string interpolator - check
  XPathParserControl(void)
    : result(NULL)
  {
  };

  XPathParserControl(DataItem *dataItem)
    : result(dataItem)
  {
  };
};

#endif // _XPATHPARSERCONTROL_HPP
