/*
 * Copyright (c) 2001, DecisionSoft Limited All rights reserved.
 * Please see LICENSE.TXT for more information.
 */

#ifndef _DOMXMLCHCOMPARE_HPP
#define _DOMXMLCHCOMPARE_HPP

#include <config.h>
#include <functional>

#include <xercesc/util/XMLString.hpp>

bool lessThan(const XMLCh *a, const XMLCh *b);

struct XMLChLess : std::binary_function<const XMLCh*, const XMLCh*, bool> {
   bool operator() (const XMLCh *lhs, const XMLCh *rhs) const
      {
         return lessThan(lhs,rhs);
      }
};


#endif // _DOMXMLCHCOMPARE_HPP
