/*
 * Copyright (c) 2001, DecisionSoft Limited All rights reserved.
 * Please see LICENSE.TXT for more information.
 */

/*

  DataItemDSLException - exception class for DataItems

*/

#ifndef _DATAITEMEXCEPTION_HPP
#define _DATAITEMEXCEPTION_HPP

#include <config.h>


#include "DSLException.hpp"

/** exception class for data items */
class DataItemException : public DSLException
{
public:
  ///constuctor.
  DataItemException( string whr, string e ) : DSLException( e ) { _where = whr; };

  /// get method.
  string getWhere(){ return _where; };

private:
  string _where;
};

#endif // _DATAITEMEXCEPTION_HPP
