/*
 * Copyright (c) 2001, DecisionSoft Limited All rights reserved.
 * Please see LICENSE.TXT for more information.
 */

/*

  NavigationDSLException - exception class for navigation

*/

#ifndef _NAVIGATIONEXCEPTION_HPP
#define _NAVIGATIONEXCEPTION_HPP

#include <config.h>

#include "DSLException.hpp"

/** exception class for tests. Inherit from this if you need to throw an exception
    in the test suite.*/
class NavigationException : public DSLException
{
public:
  ///constuctor.
  NavigationException( string e ) : DSLException( e ) {};

};

#endif // _NAVIGATIONEXCEPTION_HPP
