/*
 * Copyright (c) 2001, DecisionSoft Limited All rights reserved.
 * Please see LICENSE.TXT for more information.
 */

#ifndef _XPATHLEXEREXCEPTION_HPP
#define _XPATHLEXEREXCEPTION_HPP

#include <config.h>

#include "DSLException.hpp"

/** This means that a user has tried to run an XML file that isn't an
    XST document (or is in the wrong namespace). */

class XPathLexerException : public DSLException
{
public:
  /** Constructor. */
  XPathLexerException(string e)
    : DSLException(e)
  {}
};

#endif // _XPATHLEXEREXCEPTION_HPP
