/*
 * Copyright (c) 2001, DecisionSoft Limited All rights reserved.
 * Please see LICENSE.TXT for more information.
 */

/*

  XPathParseException - exception class for DSLPath parser

*/

#ifndef _XPATHPARSEEXCEPTION_HPP
#define _XPATHPARSEEXCEPTION_HPP

#include <config.h>

#include "DSLException.hpp"

/** exception class for DSLPath parser */
class XPathParseException : public DSLException
{
public:
  ///constuctor.
  XPathParseException(string e)
    : DSLException(e) { };

};

#endif // _XPATHPARSEEXCEPTION_HPP

