/*
 * Copyright (c) 2001, DecisionSoft Limited All rights reserved.
 * Please see LICENSE.TXT for more information.
 */

/*

   False function

*/

#ifndef _FUNCTIONFALSE_HPP
#define _FUNCTIONFALSE_HPP

#include <config.h>


#include "XPathFunction.hpp"

/** False function*/
class FunctionFalse : public XPathFunction
{
public:
  FunctionFalse(const vector<const DataItem*> &args);

  /** returns False */
  DataItem *execute(const Context *context) const;
};

#endif // _FUNCTIONFALSE_HPP

#if 0
<userDoc>
<section>
  <title><command>false</command></title>

  <section>
  <title>Synopsis</title>
  <para>
  <synopsis>
  <emphasis>false() -> boolean</emphasis>
  </synopsis>
  </para>
  </section>

  <section>
    <title>Description</title>
    <para>
    This function returns the boolean value false.
    </para>
  </section>
</section>
</userDoc>

#endif






