/*
 * Copyright (c) 2001, DecisionSoft Limited All rights reserved.
 * Please see LICENSE.TXT for more information.
 */

/*

   Last function

*/

#ifndef _FUNCTIONLAST_HPP
#define _FUNCTIONLAST_HPP

#include <config.h>


#include "XPathFunction.hpp"

/** Last function*/
class FunctionLast : public XPathFunction
{
public:
  FunctionLast(const vector<const DataItem*> &args);

  /** returns the context size */
  DataItem *execute(const Context *context) const;
};

#endif // _FUNCTIONLAST_HPP

#if 0
<userDoc>
<section>
  <title><command>last</command></title>

  <section>
  <title>Synopsis</title>
  <para>
  <synopsis>
  <emphasis>last() -> numeral</emphasis>
  </synopsis>
  </para>
  </section>

  <section>
    <title>Description</title>
    <para>
    This function returns the context size as a numeral. The context size outside of SCSs is always 1.
    </para>
  </section>
</section>
</userDoc>

#endif






