/*
 * Copyright (c) 2001, DecisionSoft Limited All rights reserved.
 * Please see LICENSE.TXT for more information.
 */

/*

   Position function

*/

#ifndef _FUNCTIONPOSITION_HPP
#define _FUNCTIONPOSITION_HPP


#include "XPathFunction.hpp"

/** Position function*/
class PATHAN_EXPORT FunctionPosition : public XPathFunction
{
public:
  FunctionPosition(const vector<const DataItem*> &args);

  /** returns the context size */
  DataItem *execute(const Context *context) const;
};

#endif // _FUNCTIONPOSITION_HPP

#if 0
<userDoc>
<section>
  <title><command>position</command></title>

  <section>
  <title>Synopsis</title>
  <para>
  <synopsis>
  <emphasis>position() -> numeral</emphasis>
  </synopsis>
  </para>
  </section>

  <section>
    <title>Description</title>
    <para>
    This function returns the context position as a numeral. The context position outside of SCSs is always 0.
    </para>
  </section>
</section>
</userDoc>

#endif






