/*
 * Copyright (c) 2001, DecisionSoft Limited All rights reserved.
 * Please see LICENSE.TXT for more information.
 */

/*

   True function

*/

#ifndef _FUNCTIONTRUE_HPP
#define _FUNCTIONTRUE_HPP

#include <config.h>


#include "XPathFunction.hpp"

/** True function*/
class PATHAN_EXPORT FunctionTrue : public XPathFunction
{
public:
  FunctionTrue(const vector<const DataItem*> &args);

  /** returns True */
  DataItem *execute(const Context *context) const;
};

#endif // _FUNCTIONTRUE_HPP

#if 0
<userDoc>
<section>
  <title><command>true</command></title>

  <section>
  <title>Synopsis</title>
  <para>
  <synopsis>
  <emphasis>true() -> boolean</emphasis>
  </synopsis>
  </para>
  </section>

  <section>
    <title>Description</title>
    <para>
    This function returns the boolean value true.
    </para>
  </section>
</section>
</userDoc>

#endif






