/*
 * Copyright (c) 2001, DecisionSoft Limited All rights reserved.
 * Please see LICENSE.TXT for more information.
 */

#ifndef _FOLLOWINGAXIS_HPP
#define _FOLLOWINGAXIS_HPP

#include <config.h>


#include "NavStep.hpp"
#include "ForwardAxis.hpp"

/**

*/


class FollowingAxis : public ForwardAxis
{
protected:
  DeadNodeList *makeList(XERCES_CPP_NAMESPACE_QUALIFIER DOMNode *node, DeadNodeList *list) const;
  void makeListHelper(XERCES_CPP_NAMESPACE_QUALIFIER DOMNode *node, DeadNodeList *retList) const;
  void addTree(XERCES_CPP_NAMESPACE_QUALIFIER DOMNode *node, DeadNodeList *retList) const;
};


#endif

