/*
 * Copyright (c) 2001, DecisionSoft Limited All rights reserved.
 * Please see LICENSE.TXT for more information.
 */

#ifndef _PRECEDINGAXIS_HPP
#define _PRECEDINGAXIS_HPP

#include <config.h>

#include "ReverseAxis.hpp"

/**
This class implements the PrecedingAxis axis as defined by the XPath spec
*/


class PrecedingAxis : public ReverseAxis
{
protected:
  DeadNodeList *makeList(XERCES_CPP_NAMESPACE_QUALIFIER DOMNode *node, DeadNodeList *list) const;
  void makeListHelper(XERCES_CPP_NAMESPACE_QUALIFIER DOMNode *node, DeadNodeList *retList) const;
  void addTree(XERCES_CPP_NAMESPACE_QUALIFIER DOMNode *node, DeadNodeList *retList) const;
};


#endif

