/*
 * Copyright (c) 2001, DecisionSoft Limited All rights reserved.
 * Please see LICENSE.TXT for more information.
 */

#ifndef _PREDICATESTEPEXPR_HPP
#define _PREDICATESTEPEXPR_HPP

#include <config.h>

#include "PredicateStep.hpp"

#include "../functionAPI/FunctionLookup.hpp"
#include "../context/Context.hpp"

#include <map>

using namespace std;

/** NavStepPredicate implementation that selects nodes based on an
    expression, corresponding to an SCS. **/
class PATHAN_EXPORT PredicateStepExpr : public PredicateStep
{
public:
  PredicateStepExpr(DataItem *expr);
  ~PredicateStepExpr();

  PredType returnType(void) const;

protected:
  DataItem *_expr;
};


#endif // _PREDICATESTEPEXPR_HPP

