/*
 * Copyright (c) 2001, DecisionSoft Limited All rights reserved.
 * Please see LICENSE.TXT for more information.
 */

#ifndef _PredicateStepExprDSLPath_HPP
#define _PredicateStepExprDSLPath_HPP

#include <config.h>


#include "PredicateStepExpr.hpp"

using namespace std;

/** PredicateStepExprDSLPath processes a predicate expression (numeric
    or functional) and does the appropriate test **/

class PATHAN_EXPORT PredicateStepExprDSLPath : public PredicateStepExpr
{
public:
  PredicateStepExprDSLPath(DataItem *expr);
  virtual ~PredicateStepExprDSLPath();

  /** performs the test, and returns a bool stating whether candidate is valied*/
  bool doPredicate(const Context *context) const;
};

#endif // _PredicateStepExprDSLPath_HPP



