/*
 * Copyright (c) 2001, DecisionSoft Limited All rights reserved.
 * Please see LICENSE.TXT for more information.
 */

/*
  Utility to class to hold the arguments of a function.

  Used in the parser when the arguments, but not the name, of a
  function are know.
*/

#ifndef _ARGHOLDER_HPP
#define _ARGHOLDER_HPP

#include<vector>
#include "../dataItem/DataItem.hpp"

class ArgHolder {

private:

	std::vector<const DataItem *> _args;

public:

  void addArg(DataItem *arg);
  const std::vector<const DataItem *> &getArgs(void);

};

#endif
