
/*  A Bison parser, made from XPathParser.y
    by GNU Bison version 1.28  */

#define YYBISON 1  /* Identify Bison output.  */

#define yyparse XPathyyparse
#define yylex XPathyylex
#define yyerror XPathyyerror
#define yylval XPathyylval
#define yychar XPathyychar
#define yydebug XPathyydebug
#define yynerrs XPathyynerrs
#define	TOKEN_BANG	257
#define	TOKEN_LITERAL	258
#define	TOKEN_NUMERAL	259
#define	TOKEN_LEFT_BRACE	260
#define	TOKEN_RIGHT_BRACE	261
#define	TOKEN_LEFT_SQUARE	262
#define	TOKEN_RIGHT_SQUARE	263
#define	TOKEN_DOT_DOT	264
#define	TOKEN_AT	265
#define	TOKEN_COMMA	266
#define	TOKEN_DOT	267
#define	TOKEN_DOLLAR_DOLLAR	268
#define	TOKEN_DOLLAR	269
#define	TOKEN_PERCENT	270
#define	TOKEN_COLON	271
#define	TOKEN_STAR	272
#define	TOKEN_SLASH_SLASH	273
#define	TOKEN_SLASH	274
#define	TOKEN_BAR	275
#define	TOKEN_PLUS	276
#define	TOKEN_MINUS	277
#define	TOKEN_EQUALS	278
#define	TOKEN_NOT_EQUALS	279
#define	TOKEN_LT	280
#define	TOKEN_LTE	281
#define	TOKEN_GT	282
#define	TOKEN_GTE	283
#define	TOKEN_OPERATOR_AND	284
#define	TOKEN_OPERATOR_OR	285
#define	TOKEN_OPERATOR_MOD	286
#define	TOKEN_OPERATOR_DIV	287
#define	TOKEN_OPERATOR_LT	288
#define	TOKEN_OPERATOR_LTE	289
#define	TOKEN_OPERATOR_GT	290
#define	TOKEN_OPERATOR_GTE	291
#define	TOKEN_AXISNAME_ANCESTOR_OR_SELF	292
#define	TOKEN_AXISNAME_INHERITED_ATTRIBUTE	293
#define	TOKEN_AXISNAME_ANCESTOR	294
#define	TOKEN_AXISNAME_ATTRIBUTE	295
#define	TOKEN_AXISNAME_CHILD	296
#define	TOKEN_AXISNAME_DESCENDANT_OR_SELF	297
#define	TOKEN_AXISNAME_DESCENDANT	298
#define	TOKEN_AXISNAME_FOLLOWING_SIBLING	299
#define	TOKEN_AXISNAME_FOLLOWING	300
#define	TOKEN_AXISNAME_NAMESPACE	301
#define	TOKEN_AXISNAME_PARENT	302
#define	TOKEN_AXISNAME_PRECEDING_SIBLING	303
#define	TOKEN_AXISNAME_PRECEDING	304
#define	TOKEN_AXISNAME_SELF	305
#define	TOKEN_NODETYPE_COMMENT	306
#define	TOKEN_NODETYPE_TEXT	307
#define	TOKEN_NODETYPE_PROCESSING_INSTRUCTION	308
#define	TOKEN_NODETYPE_NODE	309
#define	TOKEN_NCNAME	310
#define	TOKEN_HAT	311

#line 1 "XPathParser.y"

#include <xercesc/util/XercesDefs.hpp>
#include <config.h>

#include "../dataItem/DataItem.hpp"
#include "../dataItem/DataItemNav.hpp"
#include "../dataItem/DataItemFunction.hpp"
#include "../dataItem/DataItemVariable.hpp"
#include "../dataItem/DataItemString.hpp"
#include "../dataItem/DataItemNumeric.hpp"
#include "../functionAPI/FunctionUnaryMinus.hpp"
#include "../navigation/PredicateStepExprXPath.hpp"

#include <vector>
#include <xercesc/util/XMLString.hpp>

#include "../lexer/XPathLexer.hpp"

#include "../navigation/NavStep.hpp"
#include "../navigation/AncestorAxis.hpp"
#include "../navigation/AncestorOrSelfAxis.hpp"
#include "../navigation/AttributeAxis.hpp"
#include "../navigation/ChildAxis.hpp"
#include "../navigation/DescendantAxis.hpp"
#include "../navigation/DescendantOrSelfAxis.hpp"
#include "../navigation/FollowingAxis.hpp"
#include "../navigation/FollowingSiblingAxis.hpp"
#include "../navigation/InheritedAttributeAxis.hpp"
#include "../navigation/NamespaceAxis.hpp"
#include "../navigation/ParentAxis.hpp"
#include "../navigation/PrecedingAxis.hpp"
#include "../navigation/PrecedingSiblingAxis.hpp"
#include "../navigation/SelfAxis.hpp"

#include "../functionAPI/FunctionOr.hpp"
#include "../functionAPI/FunctionAnd.hpp"
#include "../functionAPI/FunctionOpEqualsEquals.hpp"
#include "../functionAPI/FunctionOpNotEquals.hpp"
#include "../functionAPI/FunctionOpPlus.hpp"
#include "../functionAPI/FunctionOpMinus.hpp"
#include "../functionAPI/FunctionOpTimes.hpp"
#include "../functionAPI/FunctionOpDivide.hpp"
#include "../functionAPI/FunctionOpLessThan.hpp"
#include "../functionAPI/FunctionOpGreaterThan.hpp"
#include "../functionAPI/FunctionOpLessThanEqual.hpp"
#include "../functionAPI/FunctionOpGreaterThanEqual.hpp"
#include "../functionAPI/FunctionUnaryMinus.hpp"
#include "../functionAPI/FunctionUnion.hpp"
#include "../functionAPI/FunctionOpMod.hpp"

#include "../dom3-xpath/XPathNamespace.hpp"

#define YYPARSE_PARAM parm
#define YYLEX_PARAM parm

inline vector<const DataItem*> packageArgs(DataItem *arg1, DataItem *arg2);
void importStep(NavStep *step1, NavStep *step2);
void yyerror(const char* s);

#include "XPathParserControl.hpp"
#include "../exceptions/XPathParseException.hpp"

#define YYDEBUG 1
#include <cstdio>

#include <stdio.h>

#ifndef __cplusplus
#ifndef __STDC__
#define const
#endif
#endif



#define	YYFINAL		147
#define	YYFLAG		-32768
#define	YYNTBASE	58

#define YYTRANSLATE(x) ((unsigned)(x) <= 311 ? yytranslate[x] : 94)

static const char yytranslate[] = {     0,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     1,     3,     4,     5,     6,
     7,     8,     9,    10,    11,    12,    13,    14,    15,    16,
    17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
    27,    28,    29,    30,    31,    32,    33,    34,    35,    36,
    37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
    47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
    57
};

#if YYDEBUG != 0
static const short yyprhs[] = {     0,
     0,     1,     3,     5,     7,    11,    13,    17,    19,    23,
    27,    29,    33,    37,    41,    45,    49,    53,    57,    61,
    63,    67,    71,    73,    77,    81,    85,    87,    90,    92,
    96,    98,   100,   104,   108,   110,   113,   115,   119,   121,
   123,   125,   128,   133,   135,   137,   139,   143,   148,   150,
   152,   156,   159,   162,   164,   166,   168,   170,   172,   174,
   177,   179,   182,   184,   188,   190,   194,   197,   201,   203,
   206,   208,   210,   212,   215,   217,   219,   221,   223,   226,
   230,   232,   234,   238,   240,   242,   245,   247,   249,   253,
   257,   259,   261,   263,   265,   267,   269,   271,   273,   275,
   277,   279,   281,   283,   285
};

static const short yyrhs[] = {    -1,
    59,     0,    60,     0,    61,     0,    60,    31,    61,     0,
    62,     0,    61,    30,    62,     0,    63,     0,    62,    24,
    63,     0,    62,    25,    63,     0,    64,     0,    63,    34,
    64,     0,    63,    26,    64,     0,    63,    36,    64,     0,
    63,    28,    64,     0,    63,    35,    64,     0,    63,    27,
    64,     0,    63,    37,    64,     0,    63,    29,    64,     0,
    65,     0,    64,    22,    65,     0,    64,    23,    65,     0,
    66,     0,    65,    18,    66,     0,    65,    33,    66,     0,
    65,    32,    66,     0,    67,     0,    23,    66,     0,    68,
     0,    67,    21,    68,     0,    78,     0,    69,     0,    69,
    20,    82,     0,    69,    19,    82,     0,    70,     0,    69,
    89,     0,    71,     0,     6,    59,     7,     0,    73,     0,
    74,     0,    75,     0,    15,    72,     0,    15,    72,    17,
    72,     0,    56,     0,     4,     0,     5,     0,    76,     6,
     7,     0,    76,     6,    77,     7,     0,    72,     0,    59,
     0,    77,    12,    59,     0,    79,    82,     0,    79,    80,
     0,    82,     0,    80,     0,    14,     0,    16,     0,    57,
     0,    20,     0,    20,    82,     0,    81,     0,    19,    82,
     0,    84,     0,    82,    20,    84,     0,    83,     0,    82,
    19,    84,     0,    85,    90,     0,    85,    90,    88,     0,
    90,     0,    90,    88,     0,    87,     0,    93,     0,    86,
     0,     3,    11,     0,    11,     0,    13,     0,    10,     0,
    89,     0,    88,    89,     0,     8,    59,     9,     0,    92,
     0,    91,     0,    54,    73,     7,     0,    52,     0,    53,
     0,    54,     7,     0,    55,     0,    18,     0,    72,    17,
    18,     0,    72,    17,    72,     0,    72,     0,    40,     0,
    38,     0,    41,     0,    39,     0,    42,     0,    44,     0,
    43,     0,    46,     0,    45,     0,    47,     0,    48,     0,
    50,     0,    49,     0,    51,     0
};

#endif

#if YYDEBUG != 0
static const short yyrline[] = { 0,
   175,   185,   191,   203,   213,   219,   229,   235,   250,   254,
   260,   278,   282,   286,   290,   294,   298,   302,   306,   312,
   328,   332,   337,   353,   357,   361,   366,   380,   388,   403,
   408,   424,   428,   437,   455,   471,   492,   510,   514,   519,
   523,   530,   544,   551,   566,   583,   599,   614,   624,   639,
   655,   666,   683,   690,   694,   700,   715,   721,   731,   748,
   753,   761,   791,   809,   814,   821,   842,   863,   876,   891,
   909,   916,   930,   938,   952,   962,   981,   991,  1011,  1019,
  1034,  1049,  1053,  1064,  1084,  1092,  1100,  1111,  1128,  1135,
  1142,  1153,  1184,  1190,  1196,  1202,  1208,  1214,  1220,  1226,
  1232,  1239,  1245,  1251,  1257
};
#endif


#if YYDEBUG != 0 || defined (YYERROR_VERBOSE)

static const char * const yytname[] = {   "$","error","$undefined.","TOKEN_BANG",
"TOKEN_LITERAL","TOKEN_NUMERAL","TOKEN_LEFT_BRACE","TOKEN_RIGHT_BRACE","TOKEN_LEFT_SQUARE",
"TOKEN_RIGHT_SQUARE","TOKEN_DOT_DOT","TOKEN_AT","TOKEN_COMMA","TOKEN_DOT","TOKEN_DOLLAR_DOLLAR",
"TOKEN_DOLLAR","TOKEN_PERCENT","TOKEN_COLON","TOKEN_STAR","TOKEN_SLASH_SLASH",
"TOKEN_SLASH","TOKEN_BAR","TOKEN_PLUS","TOKEN_MINUS","TOKEN_EQUALS","TOKEN_NOT_EQUALS",
"TOKEN_LT","TOKEN_LTE","TOKEN_GT","TOKEN_GTE","TOKEN_OPERATOR_AND","TOKEN_OPERATOR_OR",
"TOKEN_OPERATOR_MOD","TOKEN_OPERATOR_DIV","TOKEN_OPERATOR_LT","TOKEN_OPERATOR_LTE",
"TOKEN_OPERATOR_GT","TOKEN_OPERATOR_GTE","TOKEN_AXISNAME_ANCESTOR_OR_SELF","TOKEN_AXISNAME_INHERITED_ATTRIBUTE",
"TOKEN_AXISNAME_ANCESTOR","TOKEN_AXISNAME_ATTRIBUTE","TOKEN_AXISNAME_CHILD",
"TOKEN_AXISNAME_DESCENDANT_OR_SELF","TOKEN_AXISNAME_DESCENDANT","TOKEN_AXISNAME_FOLLOWING_SIBLING",
"TOKEN_AXISNAME_FOLLOWING","TOKEN_AXISNAME_NAMESPACE","TOKEN_AXISNAME_PARENT",
"TOKEN_AXISNAME_PRECEDING_SIBLING","TOKEN_AXISNAME_PRECEDING","TOKEN_AXISNAME_SELF",
"TOKEN_NODETYPE_COMMENT","TOKEN_NODETYPE_TEXT","TOKEN_NODETYPE_PROCESSING_INSTRUCTION",
"TOKEN_NODETYPE_NODE","TOKEN_NCNAME","TOKEN_HAT","_MainExpr","_Expr","_OrExpr",
"_AndExpr","_EqualityExpr","_RelationalExpr","_AdditiveExpr","_MultiplicativeExpr",
"_UnaryExpr","_UnionExpr","_PathExpr","_FilterExpr","_PrimaryExpr","_VariableReference",
"_NCName","_Literal","_Number","_FunctionCall","_FunctionName","_ArgumentList",
"_LocationPath","_ContextSpecifier","_AbsoluteLocationPath","_AbbreviatedAbsoluteLocationPath",
"_RelativeLocationPath","_AbbreviatedRelativeLocationPath","_Step","_AxisSpecifier",
"_AbbreviatedAxisSpecifier","_AbbreviatedStep","_PredicateList","_Predicate",
"_NodeTest","_NodeType","_NameTest","_AxisName", NULL
};
#endif

static const short yyr1[] = {     0,
    58,    58,    59,    60,    60,    61,    61,    62,    62,    62,
    63,    63,    63,    63,    63,    63,    63,    63,    63,    64,
    64,    64,    65,    65,    65,    65,    66,    66,    67,    67,
    68,    68,    68,    68,    69,    69,    70,    70,    70,    70,
    70,    71,    71,    72,    73,    74,    75,    75,    76,    77,
    77,    78,    78,    78,    78,    79,    79,    79,    80,    80,
    80,    81,    82,    82,    82,    83,    84,    84,    84,    84,
    84,    85,    85,    86,    86,    87,    87,    88,    88,    89,
    90,    90,    90,    91,    91,    91,    91,    92,    92,    92,
    92,    93,    93,    93,    93,    93,    93,    93,    93,    93,
    93,    93,    93,    93,    93
};

static const short yyr2[] = {     0,
     0,     1,     1,     1,     3,     1,     3,     1,     3,     3,
     1,     3,     3,     3,     3,     3,     3,     3,     3,     1,
     3,     3,     1,     3,     3,     3,     1,     2,     1,     3,
     1,     1,     3,     3,     1,     2,     1,     3,     1,     1,
     1,     2,     4,     1,     1,     1,     3,     4,     1,     1,
     3,     2,     2,     1,     1,     1,     1,     1,     1,     2,
     1,     2,     1,     3,     1,     3,     2,     3,     1,     2,
     1,     1,     1,     2,     1,     1,     1,     1,     2,     3,
     1,     1,     3,     1,     1,     2,     1,     1,     3,     3,
     1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
     1,     1,     1,     1,     1
};

static const short yydefact[] = {     1,
     0,    45,    46,     0,    77,    75,    76,    56,     0,    57,
    88,     0,    59,     0,    93,    95,    92,    94,    96,    98,
    97,   100,    99,   101,   102,   104,   103,   105,    84,    85,
     0,    87,    44,    58,     2,     3,     4,     6,     8,    11,
    20,    23,    27,    29,    32,    35,    37,    91,    39,    40,
    41,     0,    31,     0,    55,    61,    54,    65,    63,     0,
    73,    71,    69,    82,    81,    72,    74,     0,    42,    91,
    62,    60,    28,    86,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,    36,     0,     0,    53,
    52,     0,     0,    67,    70,    78,    38,     0,    83,     5,
     7,     9,    10,    13,    17,    15,    19,    12,    16,    14,
    18,    21,    22,    24,    26,    25,    30,     0,    34,    33,
    89,    90,    47,    50,     0,    66,    64,    68,    79,    43,
    80,    48,     0,    51,     0,     0,     0
};

static const short yydefgoto[] = {   145,
    35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
    45,    46,    47,    48,    49,    50,    51,    52,   135,    53,
    54,    55,    56,    57,    58,    59,    60,    61,    62,   105,
   106,    63,    64,    65,    66
};

static const short yypact[] = {   159,
     3,-32768,-32768,   159,-32768,-32768,-32768,-32768,   -40,-32768,
-32768,   288,   288,   159,-32768,-32768,-32768,-32768,-32768,-32768,
-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
    11,-32768,-32768,-32768,-32768,    20,     2,     6,    -1,    23,
   -10,-32768,     8,-32768,     1,-32768,-32768,     7,-32768,-32768,
-32768,    13,-32768,   269,-32768,-32768,    28,-32768,-32768,   -15,
-32768,-32768,    34,-32768,-32768,-32768,-32768,    50,    42,    43,
    28,    28,-32768,-32768,    54,   159,   159,   159,   159,   159,
   159,   159,   159,   159,   159,   159,   159,   159,   159,   159,
   159,   159,   214,   159,   288,   288,-32768,   -12,   104,-32768,
    28,   288,   288,    34,    34,-32768,-32768,   -40,-32768,     2,
     6,    -1,    -1,    23,    23,    23,    23,    23,    23,    23,
    23,   -10,   -10,-32768,-32768,-32768,-32768,    53,    28,    28,
-32768,-32768,-32768,-32768,     5,-32768,-32768,    34,-32768,-32768,
-32768,-32768,   159,-32768,    63,    65,-32768
};

static const short yypgoto[] = {-32768,
    -4,-32768,     0,    -3,   -29,   -14,   -35,    -9,-32768,   -18,
-32768,-32768,-32768,    -2,    46,-32768,-32768,-32768,-32768,-32768,
-32768,    24,-32768,   -11,-32768,   -47,-32768,-32768,-32768,   -25,
   -41,    26,-32768,-32768,-32768
};


#define	YYLAST		344


static const short yytable[] = {    68,
    71,    72,    11,    97,    73,   131,    69,    90,    94,    70,
    70,   142,   -49,    67,     2,    33,   143,    74,    99,    95,
    96,    91,    92,    98,    80,    81,    82,    83,    93,    78,
    79,    77,    84,    85,    86,    87,    29,    30,    31,    32,
    33,    94,   101,    33,    88,    89,   102,   103,   112,   113,
    76,    70,   122,   123,   136,   137,   107,    70,   108,    98,
   109,   141,   146,   139,   147,   114,   115,   116,   117,   118,
   119,   120,   121,   111,   127,   110,    75,   100,   138,     0,
   124,   125,   126,   129,   130,   104,     0,     0,     0,   128,
     0,     0,    70,    70,   134,   132,   139,     0,     0,    70,
    70,     0,     0,     0,     0,   140,     1,     2,     3,     4,
   133,     0,     0,     5,     6,     0,     7,     8,     9,    10,
     0,    11,    12,    13,     0,     0,    14,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,   144,     0,
     0,    15,    16,    17,    18,    19,    20,    21,    22,    23,
    24,    25,    26,    27,    28,    29,    30,    31,    32,    33,
    34,     1,     2,     3,     4,     0,     0,     0,     5,     6,
     0,     7,     8,     9,    10,     0,    11,    12,    13,     0,
     0,    14,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,    15,    16,    17,    18,
    19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
    29,    30,    31,    32,    33,    34,     1,     2,     3,     4,
     0,     0,     0,     5,     6,     0,     7,     8,     9,    10,
     0,    11,    12,    13,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,    15,    16,    17,    18,    19,    20,    21,    22,    23,
    24,    25,    26,    27,    28,    29,    30,    31,    32,    33,
    34,     1,     0,     0,     0,     0,     0,     0,     5,     6,
     0,     7,     0,     0,     0,     0,    11,    12,    13,     0,
     1,     0,     0,     0,     0,     0,     0,     5,     6,     0,
     7,     0,     0,     0,     0,    11,    15,    16,    17,    18,
    19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
    29,    30,    31,    32,    33,    15,    16,    17,    18,    19,
    20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
    30,    31,    32,    33
};

static const short yycheck[] = {     4,
    12,    13,    18,    45,    14,    18,     9,    18,     8,    12,
    13,     7,     6,    11,     4,    56,    12,     7,     6,    19,
    20,    32,    33,    17,    26,    27,    28,    29,    21,    24,
    25,    30,    34,    35,    36,    37,    52,    53,    54,    55,
    56,     8,    54,    56,    22,    23,    19,    20,    78,    79,
    31,    54,    88,    89,   102,   103,     7,    60,    17,    17,
     7,     9,     0,   105,     0,    80,    81,    82,    83,    84,
    85,    86,    87,    77,    93,    76,    31,    54,   104,    -1,
    90,    91,    92,    95,    96,    60,    -1,    -1,    -1,    94,
    -1,    -1,    95,    96,    99,    98,   138,    -1,    -1,   102,
   103,    -1,    -1,    -1,    -1,   108,     3,     4,     5,     6,
     7,    -1,    -1,    10,    11,    -1,    13,    14,    15,    16,
    -1,    18,    19,    20,    -1,    -1,    23,    -1,    -1,    -1,
    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   143,    -1,
    -1,    38,    39,    40,    41,    42,    43,    44,    45,    46,
    47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
    57,     3,     4,     5,     6,    -1,    -1,    -1,    10,    11,
    -1,    13,    14,    15,    16,    -1,    18,    19,    20,    -1,
    -1,    23,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    -1,    -1,    -1,    -1,    -1,    -1,    38,    39,    40,    41,
    42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
    52,    53,    54,    55,    56,    57,     3,     4,     5,     6,
    -1,    -1,    -1,    10,    11,    -1,    13,    14,    15,    16,
    -1,    18,    19,    20,    -1,    -1,    -1,    -1,    -1,    -1,
    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    -1,    38,    39,    40,    41,    42,    43,    44,    45,    46,
    47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
    57,     3,    -1,    -1,    -1,    -1,    -1,    -1,    10,    11,
    -1,    13,    -1,    -1,    -1,    -1,    18,    19,    20,    -1,
     3,    -1,    -1,    -1,    -1,    -1,    -1,    10,    11,    -1,
    13,    -1,    -1,    -1,    -1,    18,    38,    39,    40,    41,
    42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
    52,    53,    54,    55,    56,    38,    39,    40,    41,    42,
    43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
    53,    54,    55,    56
};
#define YYPURE 1

/* -*-C-*-  Note some compilers choke on comments on `#line' lines.  */
#line 3 "/usr/lib/bison.simple"
/* This file comes from bison-1.28.  */

/* Skeleton output parser for bison,
   Copyright (C) 1984, 1989, 1990 Free Software Foundation, Inc.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.  */

/* As a special exception, when this file is copied by Bison into a
   Bison output file, you may use that output file without restriction.
   This special exception was added by the Free Software Foundation
   in version 1.24 of Bison.  */

/* This is the parser code that is written into each bison parser
  when the %semantic_parser declaration is not specified in the grammar.
  It was written by Richard Stallman by simplifying the hairy parser
  used when %semantic_parser is specified.  */

#ifndef YYSTACK_USE_ALLOCA
#ifdef alloca
#define YYSTACK_USE_ALLOCA
#else /* alloca not defined */
#ifdef __GNUC__
#define YYSTACK_USE_ALLOCA
#define alloca __builtin_alloca
#else /* not GNU C.  */
#if (!defined (__STDC__) && defined (sparc)) || defined (__sparc__) || defined (__sparc) || defined (__sgi) || (defined (__sun) && defined (__i386))
#define YYSTACK_USE_ALLOCA
#include <alloca.h>
#else /* not sparc */
/* We think this test detects Watcom and Microsoft C.  */
/* This used to test MSDOS, but that is a bad idea
   since that symbol is in the user namespace.  */
#if (defined (_MSDOS) || defined (_MSDOS_)) && !defined (__TURBOC__)
#if 0 /* No need for malloc.h, which pollutes the namespace;
	 instead, just don't use alloca.  */
#include <malloc.h>
#endif
#else /* not MSDOS, or __TURBOC__ */
#if defined(_AIX)
/* I don't know what this was needed for, but it pollutes the namespace.
   So I turned it off.   rms, 2 May 1997.  */
/* #include <malloc.h>  */
 #pragma alloca
#define YYSTACK_USE_ALLOCA
#else /* not MSDOS, or __TURBOC__, or _AIX */
#if 0
#ifdef __hpux /* haible@ilog.fr says this works for HPUX 9.05 and up,
		 and on HPUX 10.  Eventually we can turn this on.  */
#define YYSTACK_USE_ALLOCA
#define alloca __builtin_alloca
#endif /* __hpux */
#endif
#endif /* not _AIX */
#endif /* not MSDOS, or __TURBOC__ */
#endif /* not sparc */
#endif /* not GNU C */
#endif /* alloca not defined */
#endif /* YYSTACK_USE_ALLOCA not defined */

#ifdef YYSTACK_USE_ALLOCA
#define YYSTACK_ALLOC alloca
#else
#define YYSTACK_ALLOC malloc
#endif

/* Note: there must be only one dollar sign in this file.
   It is replaced by the list of actions, each action
   as one case of the switch.  */

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		-2
#define YYEOF		0
#define YYACCEPT	goto yyacceptlab
#define YYABORT 	goto yyabortlab
#define YYERROR		goto yyerrlab1
/* Like YYERROR except do call yyerror.
   This remains here temporarily to ease the
   transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  */
#define YYFAIL		goto yyerrlab
#define YYRECOVERING()  (!!yyerrstatus)
#define YYBACKUP(token, value) \
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    { yychar = (token), yylval = (value);			\
      yychar1 = YYTRANSLATE (yychar);				\
      YYPOPSTACK;						\
      goto yybackup;						\
    }								\
  else								\
    { yyerror ("syntax error: cannot back up"); YYERROR; }	\
while (0)

#define YYTERROR	1
#define YYERRCODE	256

#ifndef YYPURE
#define YYLEX		yylex()
#endif

#ifdef YYPURE
#ifdef YYLSP_NEEDED
#ifdef YYLEX_PARAM
#define YYLEX		yylex(&yylval, &yylloc, YYLEX_PARAM)
#else
#define YYLEX		yylex(&yylval, &yylloc)
#endif
#else /* not YYLSP_NEEDED */
#ifdef YYLEX_PARAM
#define YYLEX		yylex(&yylval, YYLEX_PARAM)
#else
#define YYLEX		yylex(&yylval)
#endif
#endif /* not YYLSP_NEEDED */
#endif

/* If nonreentrant, generate the variables here */

#ifndef YYPURE

int	yychar;			/*  the lookahead symbol		*/
YYSTYPE	yylval;			/*  the semantic value of the		*/
				/*  lookahead symbol			*/

#ifdef YYLSP_NEEDED
YYLTYPE yylloc;			/*  location data for the lookahead	*/
				/*  symbol				*/
#endif

int yynerrs;			/*  number of parse errors so far       */
#endif  /* not YYPURE */

#if YYDEBUG != 0
int PATHAN_EXPORT yydebug;			/*  nonzero means print parse trace	*/
/* Since this is uninitialized, it does not stop multiple parsers
   from coexisting.  */
#endif

/*  YYINITDEPTH indicates the initial size of the parser's stacks	*/

#ifndef	YYINITDEPTH
#define YYINITDEPTH 200
#endif

/*  YYMAXDEPTH is the maximum size the stacks can grow to
    (effective only if the built-in stack extension method is used).  */

#if YYMAXDEPTH == 0
#undef YYMAXDEPTH
#endif

#ifndef YYMAXDEPTH
#define YYMAXDEPTH 10000
#endif

/* Define __yy_memcpy.  Note that the size argument
   should be passed with type unsigned int, because that is what the non-GCC
   definitions require.  With GCC, __builtin_memcpy takes an arg
   of type size_t, but it can handle unsigned int.  */

#if __GNUC__ > 1		/* GNU C and GNU C++ define this.  */
#define __yy_memcpy(TO,FROM,COUNT)	__builtin_memcpy(TO,FROM,COUNT)
#else				/* not GNU C or C++ */
#ifndef __cplusplus

/* This is the most reliable way to avoid incompatibilities
   in available built-in functions on various systems.  */
static void
__yy_memcpy (to, from, count)
     char *to;
     char *from;
     unsigned int count;
{
  register char *f = from;
  register char *t = to;
  register int i = count;

  while (i-- > 0)
    *t++ = *f++;
}

#else /* __cplusplus */

/* This is the most reliable way to avoid incompatibilities
   in available built-in functions on various systems.  */
static void
__yy_memcpy (char *to, char *from, unsigned int count)
{
  register char *t = to;
  register char *f = from;
  register int i = count;

  while (i-- > 0)
    *t++ = *f++;
}

#endif
#endif

#line 217 "/usr/lib/bison.simple"

/* The user can define YYPARSE_PARAM as the name of an argument to be passed
   into yyparse.  The argument should have type void *.
   It should actually point to an object.
   Grammar actions can access the variable by casting it
   to the proper pointer type.  */

#ifdef YYPARSE_PARAM
#ifdef __cplusplus
#define YYPARSE_PARAM_ARG void *YYPARSE_PARAM
#define YYPARSE_PARAM_DECL
#else /* not __cplusplus */
#define YYPARSE_PARAM_ARG YYPARSE_PARAM
#define YYPARSE_PARAM_DECL void *YYPARSE_PARAM;
#endif /* not __cplusplus */
#else /* not YYPARSE_PARAM */
#define YYPARSE_PARAM_ARG
#define YYPARSE_PARAM_DECL
#endif /* not YYPARSE_PARAM */

/* Prevent warning if -Wstrict-prototypes.  */
#ifdef __GNUC__
#ifdef YYPARSE_PARAM
int yyparse (void *);
#else
int yyparse (void);
#endif
#endif

int
PATHAN_EXPORT yyparse(YYPARSE_PARAM_ARG)
     YYPARSE_PARAM_DECL
{
  register int yystate;
  register int yyn;
  register short *yyssp;
  register YYSTYPE *yyvsp;
  int yyerrstatus;	/*  number of tokens to shift before error messages enabled */
  int yychar1 = 0;		/*  lookahead token as an internal (translated) token number */

  short	yyssa[YYINITDEPTH];	/*  the state stack			*/
  YYSTYPE yyvsa[YYINITDEPTH];	/*  the semantic value stack		*/

  short *yyss = yyssa;		/*  refer to the stacks thru separate pointers */
  YYSTYPE *yyvs = yyvsa;	/*  to allow yyoverflow to reallocate them elsewhere */

#ifdef YYLSP_NEEDED
  YYLTYPE yylsa[YYINITDEPTH];	/*  the location stack			*/
  YYLTYPE *yyls = yylsa;
  YYLTYPE *yylsp;

#define YYPOPSTACK   (yyvsp--, yyssp--, yylsp--)
#else
#define YYPOPSTACK   (yyvsp--, yyssp--)
#endif

  int yystacksize = YYINITDEPTH;
  int yyfree_stacks = 0;

#ifdef YYPURE
  int yychar;
  YYSTYPE yylval;
  int yynerrs;
#ifdef YYLSP_NEEDED
  YYLTYPE yylloc;
#endif
#endif

  YYSTYPE yyval;		/*  the variable used to return		*/
				/*  semantic values from the action	*/
				/*  routines				*/

  int yylen;

#if YYDEBUG != 0
  if (yydebug)
    fprintf(stderr, "Starting parse\n");
#endif

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY;		/* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */

  yyssp = yyss - 1;
  yyvsp = yyvs;
#ifdef YYLSP_NEEDED
  yylsp = yyls;
#endif

/* Push a new state, which is found in  yystate  .  */
/* In all cases, when you get here, the value and location stacks
   have just been pushed. so pushing a state here evens the stacks.  */
yynewstate:

  *++yyssp = yystate;

  if (yyssp >= yyss + yystacksize - 1)
    {
      /* Give user a chance to reallocate the stack */
      /* Use copies of these so that the &'s don't force the real ones into memory. */
      YYSTYPE *yyvs1 = yyvs;
      short *yyss1 = yyss;
#ifdef YYLSP_NEEDED
      YYLTYPE *yyls1 = yyls;
#endif

      /* Get the current used size of the three stacks, in elements.  */
      int size = yyssp - yyss + 1;

#ifdef yyoverflow
      /* Each stack pointer address is followed by the size of
	 the data in use in that stack, in bytes.  */
#ifdef YYLSP_NEEDED
      /* This used to be a conditional around just the two extra args,
	 but that might be undefined if yyoverflow is a macro.  */
      yyoverflow("parser stack overflow",
		 &yyss1, size * sizeof (*yyssp),
		 &yyvs1, size * sizeof (*yyvsp),
		 &yyls1, size * sizeof (*yylsp),
		 &yystacksize);
#else
      yyoverflow("parser stack overflow",
		 &yyss1, size * sizeof (*yyssp),
		 &yyvs1, size * sizeof (*yyvsp),
		 &yystacksize);
#endif

      yyss = yyss1; yyvs = yyvs1;
#ifdef YYLSP_NEEDED
      yyls = yyls1;
#endif
#else /* no yyoverflow */
      /* Extend the stack our own way.  */
      if (yystacksize >= YYMAXDEPTH)
	{
	  yyerror("parser stack overflow");
	  if (yyfree_stacks)
	    {
	      free (yyss);
	      free (yyvs);
#ifdef YYLSP_NEEDED
	      free (yyls);
#endif
	    }
	  return 2;
	}
      yystacksize *= 2;
      if (yystacksize > YYMAXDEPTH)
	yystacksize = YYMAXDEPTH;
#ifndef YYSTACK_USE_ALLOCA
      yyfree_stacks = 1;
#endif
      yyss = (short *) YYSTACK_ALLOC (yystacksize * sizeof (*yyssp));
      __yy_memcpy ((char *)yyss, (char *)yyss1,
		   size * (unsigned int) sizeof (*yyssp));
      yyvs = (YYSTYPE *) YYSTACK_ALLOC (yystacksize * sizeof (*yyvsp));
      __yy_memcpy ((char *)yyvs, (char *)yyvs1,
		   size * (unsigned int) sizeof (*yyvsp));
#ifdef YYLSP_NEEDED
      yyls = (YYLTYPE *) YYSTACK_ALLOC (yystacksize * sizeof (*yylsp));
      __yy_memcpy ((char *)yyls, (char *)yyls1,
		   size * (unsigned int) sizeof (*yylsp));
#endif
#endif /* no yyoverflow */

      yyssp = yyss + size - 1;
      yyvsp = yyvs + size - 1;
#ifdef YYLSP_NEEDED
      yylsp = yyls + size - 1;
#endif

#if YYDEBUG != 0
      if (yydebug)
	fprintf(stderr, "Stack size increased to %d\n", yystacksize);
#endif

      if (yyssp >= yyss + yystacksize - 1)
	YYABORT;
    }

#if YYDEBUG != 0
  if (yydebug)
    fprintf(stderr, "Entering state %d\n", yystate);
#endif

  goto yybackup;
 yybackup:

/* Do appropriate processing given the current state.  */
/* Read a lookahead token if we need one and don't already have one.  */
/* yyresume: */

  /* First try to decide what to do without reference to lookahead token.  */

  yyn = yypact[yystate];
  if (yyn == YYFLAG)
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* yychar is either YYEMPTY or YYEOF
     or a valid token in external form.  */

  if (yychar == YYEMPTY)
    {
#if YYDEBUG != 0
      if (yydebug)
	fprintf(stderr, "Reading a token: ");
#endif
      yychar = YYLEX;
    }

  /* Convert token to internal form (in yychar1) for indexing tables with */

  if (yychar <= 0)		/* This means end of input. */
    {
      yychar1 = 0;
      yychar = YYEOF;		/* Don't call YYLEX any more */

#if YYDEBUG != 0
      if (yydebug)
	fprintf(stderr, "Now at end of input.\n");
#endif
    }
  else
    {
      yychar1 = YYTRANSLATE(yychar);

#if YYDEBUG != 0
      if (yydebug)
	{
	  fprintf (stderr, "Next token is %d (%s", yychar, yytname[yychar1]);
	  /* Give the individual parser a way to print the precise meaning
	     of a token, for further debugging info.  */
#ifdef YYPRINT
	  YYPRINT (stderr, yychar, yylval);
#endif
	  fprintf (stderr, ")\n");
	}
#endif
    }

  yyn += yychar1;
  if (yyn < 0 || yyn > YYLAST || yycheck[yyn] != yychar1)
    goto yydefault;

  yyn = yytable[yyn];

  /* yyn is what to do for this token type in this state.
     Negative => reduce, -yyn is rule number.
     Positive => shift, yyn is new state.
       New state is final state => don't bother to shift,
       just return success.
     0, or most negative number => error.  */

  if (yyn < 0)
    {
      if (yyn == YYFLAG)
	goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }
  else if (yyn == 0)
    goto yyerrlab;

  if (yyn == YYFINAL)
    YYACCEPT;

  /* Shift the lookahead token.  */

#if YYDEBUG != 0
  if (yydebug)
    fprintf(stderr, "Shifting token %d (%s), ", yychar, yytname[yychar1]);
#endif

  /* Discard the token being shifted unless it is eof.  */
  if (yychar != YYEOF)
    yychar = YYEMPTY;

  *++yyvsp = yylval;
#ifdef YYLSP_NEEDED
  *++yylsp = yylloc;
#endif

  /* count tokens shifted since error; after three, turn off error status.  */
  if (yyerrstatus) yyerrstatus--;

  yystate = yyn;
  goto yynewstate;

/* Do the default action for the current state.  */
yydefault:

  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;

/* Do a reduction.  yyn is the number of a rule to reduce with.  */
yyreduce:
  yylen = yyr2[yyn];
  if (yylen > 0)
    yyval = yyvsp[1-yylen]; /* implement default value of the action */

#if YYDEBUG != 0
  if (yydebug)
    {
      int i;

      fprintf (stderr, "Reducing via rule %d (line %d), ",
	       yyn, yyrline[yyn]);

      /* Print the symbols being reduced, and their result.  */
      for (i = yyprhs[yyn]; yyrhs[i] > 0; i++)
	fprintf (stderr, "%s ", yytname[yyrhs[i]]);
      fprintf (stderr, " -> %s\n", yytname[yyr1[yyn]]);
    }
#endif


  switch (yyn) {

case 1:
#line 181 "XPathParser.y"
{
    ((XPathParserControl *)parm)->result = new DataItemNodeList(new DeadNodeList());
  ;
    break;}
case 2:
#line 185 "XPathParser.y"
{
    ((XPathParserControl *)parm)->result = yyvsp[0].dataItem;
  ;
    break;}
case 3:
#line 197 "XPathParser.y"
{
    yyval.dataItem = yyvsp[0].dataItem;
  ;
    break;}
case 4:
#line 209 "XPathParser.y"
{
    yyval.dataItem = yyvsp[0].dataItem;
  ;
    break;}
case 5:
#line 213 "XPathParser.y"
{
    yyval.dataItem = new FunctionOr(packageArgs(yyvsp[-2].dataItem, yyvsp[0].dataItem));
  ;
    break;}
case 6:
#line 225 "XPathParser.y"
{
    yyval.dataItem = yyvsp[0].dataItem;
  ;
    break;}
case 7:
#line 229 "XPathParser.y"
{
    yyval.dataItem = new FunctionAnd(packageArgs(yyvsp[-2].dataItem, yyvsp[0].dataItem));
  ;
    break;}
case 8:
#line 246 "XPathParser.y"
{
    yyval.dataItem = yyvsp[0].dataItem;
  ;
    break;}
case 9:
#line 250 "XPathParser.y"
{
    yyval.dataItem = new FunctionOpEqualsEquals(packageArgs(yyvsp[-2].dataItem, yyvsp[0].dataItem));
  ;
    break;}
case 10:
#line 254 "XPathParser.y"
{
    yyval.dataItem = new FunctionOpNotEquals(packageArgs(yyvsp[-2].dataItem, yyvsp[0].dataItem));
  ;
    break;}
case 11:
#line 274 "XPathParser.y"
{
         yyval.dataItem = yyvsp[0].dataItem;
  ;
    break;}
case 12:
#line 278 "XPathParser.y"
{
    yyval.dataItem = new FunctionOpLessThan(packageArgs(yyvsp[-2].dataItem, yyvsp[0].dataItem));
  ;
    break;}
case 13:
#line 282 "XPathParser.y"
{
    yyval.dataItem = new FunctionOpLessThan(packageArgs(yyvsp[-2].dataItem, yyvsp[0].dataItem));
  ;
    break;}
case 14:
#line 286 "XPathParser.y"
{
    yyval.dataItem = new FunctionOpGreaterThan(packageArgs(yyvsp[-2].dataItem, yyvsp[0].dataItem));
  ;
    break;}
case 15:
#line 290 "XPathParser.y"
{
    yyval.dataItem = new FunctionOpGreaterThan(packageArgs(yyvsp[-2].dataItem, yyvsp[0].dataItem));
  ;
    break;}
case 16:
#line 294 "XPathParser.y"
{
    yyval.dataItem = new FunctionOpLessThanEqual(packageArgs(yyvsp[-2].dataItem, yyvsp[0].dataItem));
  ;
    break;}
case 17:
#line 298 "XPathParser.y"
{
    yyval.dataItem = new FunctionOpLessThanEqual(packageArgs(yyvsp[-2].dataItem, yyvsp[0].dataItem));
  ;
    break;}
case 18:
#line 302 "XPathParser.y"
{
    yyval.dataItem = new FunctionOpGreaterThanEqual(packageArgs(yyvsp[-2].dataItem, yyvsp[0].dataItem));
  ;
    break;}
case 19:
#line 306 "XPathParser.y"
{
    yyval.dataItem = new FunctionOpGreaterThanEqual(packageArgs(yyvsp[-2].dataItem, yyvsp[0].dataItem));
  ;
    break;}
case 20:
#line 324 "XPathParser.y"
{
    yyval.dataItem = yyvsp[0].dataItem;
  ;
    break;}
case 21:
#line 328 "XPathParser.y"
{
    yyval.dataItem = new FunctionOpPlus(packageArgs(yyvsp[-2].dataItem, yyvsp[0].dataItem));
  ;
    break;}
case 22:
#line 332 "XPathParser.y"
{
    yyval.dataItem = new FunctionOpMinus(packageArgs(yyvsp[-2].dataItem, yyvsp[0].dataItem));
  ;
    break;}
case 23:
#line 349 "XPathParser.y"
{
    yyval.dataItem = yyvsp[0].dataItem;
  ;
    break;}
case 24:
#line 353 "XPathParser.y"
{
    yyval.dataItem = new FunctionOpTimes(packageArgs(yyvsp[-2].dataItem, yyvsp[0].dataItem));
  ;
    break;}
case 25:
#line 357 "XPathParser.y"
{
    yyval.dataItem = new FunctionOpDivide(packageArgs(yyvsp[-2].dataItem, yyvsp[0].dataItem));
  ;
    break;}
case 26:
#line 361 "XPathParser.y"
{
    yyval.dataItem = new FunctionOpMod(packageArgs(yyvsp[-2].dataItem, yyvsp[0].dataItem));
  ;
    break;}
case 27:
#line 376 "XPathParser.y"
{
    yyval.dataItem = yyvsp[0].dataItem;
  ;
    break;}
case 28:
#line 380 "XPathParser.y"
{
          vector<const DataItem*> args;
          args.push_back(yyvsp[0].dataItem);
          yyval.dataItem = new FunctionUnaryMinus(args);
  ;
    break;}
case 29:
#line 399 "XPathParser.y"
{
    yyval.dataItem = yyvsp[0].dataItem;
  ;
    break;}
case 30:
#line 403 "XPathParser.y"
{
    yyval.dataItem = new FunctionUnion(packageArgs(yyvsp[-2].dataItem, yyvsp[0].dataItem));
  ;
    break;}
case 31:
#line 420 "XPathParser.y"
{
    yyval.dataItem = yyvsp[0].dataItemNav;
  ;
    break;}
case 32:
#line 424 "XPathParser.y"
{
    yyval.dataItem = yyvsp[0].dataItem;
  ;
    break;}
case 33:
#line 428 "XPathParser.y"
{
    //Set _FilterExpr as the item which produces the initial nodelist
    //from which to navigate
    DataItemNav *nav = new DataItemNav(yyvsp[-2].dataItem);
    nav->addNavSteps(yyvsp[0].dataItemNav);
    yyval.dataItem = nav;
    delete yyvsp[0].dataItemNav;
  ;
    break;}
case 34:
#line 437 "XPathParser.y"
{

    //Set _FilterExpr as the item which produces the initial nodelist off which to navigate
    //Additionally add a new DOS axis step at the _beginning_ of _RelativeLocationPath
    DescendantOrSelfAxis *step = new DescendantOrSelfAxis();
    step->setTypeWildcard();
    step->setNameWildcard();
    step->setNamespaceWildcard();

    DataItemNav *nav = new DataItemNav(yyvsp[-2].dataItem);
    nav->addStep(step);
    nav->addNavSteps(yyvsp[0].dataItemNav);

    yyval.dataItem = nav;
    delete yyvsp[0].dataItemNav;
  ;
    break;}
case 35:
#line 466 "XPathParser.y"
{
    yyval.dataItem = yyvsp[0].dataItem;
  ;
    break;}
case 36:
#line 471 "XPathParser.y"
{   ////Bug fix * 2

    //Create new navigation for child axis predicates

    NavStep *step = new NavStep();
    step->addPredicate(yyvsp[0].predStep);
    step->setTypeWildcard();
    step->setNameWildcard();
    step->setNamespaceWildcard();


    DataItemNav *nav = new DataItemNav(yyvsp[-1].dataItem);
    nav->addStep(step);
    yyval.dataItem = nav;
  ;
    break;}
case 37:
#line 506 "XPathParser.y"
{
    yyval.dataItem = yyvsp[0].dataItem;
  ;
    break;}
case 38:
#line 510 "XPathParser.y"
{
    yyval.dataItem = yyvsp[-1].dataItem;
  ;
    break;}
case 39:
#line 514 "XPathParser.y"
{
    DataItemString *str_val  = new DataItemString(yyvsp[0].wString);
    yyval.dataItem = str_val;
  ;
    break;}
case 40:
#line 519 "XPathParser.y"
{
    yyval.dataItem = yyvsp[0].dataItem;
  ;
    break;}
case 41:
#line 523 "XPathParser.y"
{
    yyval.dataItem = yyvsp[0].dataItem;
  ;
    break;}
case 42:
#line 539 "XPathParser.y"
{
    DataItemVariable *var = new DataItemVariable(XERCES_CPP_NAMESPACE_QUALIFIER XMLString::transcode(""), yyvsp[0].dString);
    yyval.dataItem = var;
  ;
    break;}
case 43:
#line 544 "XPathParser.y"
{  ///Is this extra? [36]
    DataItemVariable *var = new DataItemVariable(yyvsp[-2].dString, yyvsp[0].dString);
    yyval.dataItem = var;
  ;
    break;}
case 44:
#line 558 "XPathParser.y"
{
    yyval.dString = yyvsp[0].dString;
  ;
    break;}
case 45:
#line 577 "XPathParser.y"
{
    yyval.wString = yyvsp[0].dString;
  ;
    break;}
case 46:
#line 591 "XPathParser.y"
{
    DataItemNumeric *num = new DataItemNumeric(yyvsp[0].number);
    yyval.dataItem = num;
  ;
    break;}
case 47:
#line 608 "XPathParser.y"
{
    yyval.dataItem = ((XPathParserControl *)parm)->flook
      ->lookUpFunction(yyvsp[-2].dString, vector<const DataItem*>());
    delete[] yyvsp[-2].dString;
  ;
    break;}
case 48:
#line 614 "XPathParser.y"
{
    yyval.dataItem = ((XPathParserControl *)parm)->flook
      ->lookUpFunction(yyvsp[-3].dString, yyvsp[-1].argHolder->getArgs());
    delete[] yyvsp[-3].dString;
    delete yyvsp[-1].argHolder;
  ;
    break;}
case 49:
#line 634 "XPathParser.y"
{
    yyval.dString = yyvsp[0].dString;
  ;
    break;}
case 50:
#line 647 "XPathParser.y"
{
//    DataItemFunction *dataFunc = new DataItemFunction("");
    ArgHolder *argHolder = new ArgHolder();
    argHolder->addArg(yyvsp[0].dataItem);
    yyval.argHolder = argHolder;
    //delete $1; //I make a dataitem out of dataitemimpl and hence I don't want to delete it
    ;
    break;}
case 51:
#line 655 "XPathParser.y"
{
    static_cast<ArgHolder*>(yyvsp[-2].argHolder)->addArg(yyvsp[0].dataItem);
    //delete $3;  //likewise
    yyval.argHolder = yyvsp[-2].argHolder;
  ;
    break;}
case 52:
#line 677 "XPathParser.y"
{  ///Extra [1]
    static_cast<DataItemNav*>(yyvsp[0].dataItemNav)->setInitialContext(static_cast<DataItemNav*>(yyvsp[-1].dataItemNav)->getInitialContext());
    delete yyvsp[-1].dataItemNav;
    yyval.dataItemNav = yyvsp[0].dataItemNav;
  ;
    break;}
case 53:
#line 683 "XPathParser.y"
{  //Extra
    static_cast<DataItemNav*>(yyvsp[0].dataItemNav)->setInitialContext(static_cast<DataItemNav*>(yyvsp[-1].dataItemNav)->getInitialContext());
    delete yyvsp[-1].dataItemNav;
    yyval.dataItemNav = yyvsp[0].dataItemNav;
  ;
    break;}
case 54:
#line 690 "XPathParser.y"
{
    yyval.dataItemNav = yyvsp[0].dataItemNav;
  ;
    break;}
case 55:
#line 694 "XPathParser.y"
{
    yyval.dataItemNav = yyvsp[0].dataItemNav;
  ;
    break;}
case 56:
#line 709 "XPathParser.y"
{
    DataItemNav *nav = new DataItemNav();
    nav->setInitialContext(INSTRUCTION);
    yyval.dataItemNav = nav;
  ;
    break;}
case 57:
#line 715 "XPathParser.y"
{
    DataItemNav *nav = new DataItemNav();
    nav->setInitialContext(DATA);
    yyval.dataItemNav = nav;
  ;
    break;}
case 58:
#line 721 "XPathParser.y"
{
    DataItemNav *nav = new DataItemNav();
    //    nav->setGotoOldContextFirst(OLD);
    nav->setInitialContext(OLD);
    yyval.dataItemNav = nav;
  ;
    break;}
case 59:
#line 742 "XPathParser.y"
{
    DataItemNav *nav = new DataItemNav();
    nav->setGotoRootFirst(true);
    yyval.dataItemNav = nav;
  ;
    break;}
case 60:
#line 748 "XPathParser.y"
{
    static_cast<DataItemNav*>(yyvsp[0].dataItemNav)->setGotoRootFirst(true);
    yyval.dataItemNav = yyvsp[0].dataItemNav;
  ;
    break;}
case 61:
#line 753 "XPathParser.y"
{
    yyval.dataItemNav = yyvsp[0].dataItemNav;
  ;
    break;}
case 62:
#line 771 "XPathParser.y"
{

    DescendantOrSelfAxis *step = new DescendantOrSelfAxis();
    step->setTypeWildcard();
    step->setNameWildcard();
    step->setNamespaceWildcard();

    DataItemNav *newNavigation = new DataItemNav();

    newNavigation->addStep(step);
    newNavigation->addNavSteps(yyvsp[0].dataItemNav);
    newNavigation->setGotoRootFirst(true);

    delete yyvsp[0].dataItemNav;
    yyval.dataItemNav = newNavigation;
  ;
    break;}
case 63:
#line 803 "XPathParser.y"
{
    DataItemNav *nav = new DataItemNav();
    nav->addStep(yyvsp[0].navStep);
    yyval.dataItemNav = nav;
  ;
    break;}
case 64:
#line 809 "XPathParser.y"
{
    static_cast<DataItemNav*>(yyvsp[-2].dataItemNav)->addStep(yyvsp[0].navStep);
    yyval.dataItemNav = yyvsp[-2].dataItemNav;
  ;
    break;}
case 65:
#line 814 "XPathParser.y"
{
    yyval.dataItemNav = yyvsp[0].dataItemNav;

  ;
    break;}
case 66:
#line 830 "XPathParser.y"
{
    DescendantOrSelfAxis *step = new DescendantOrSelfAxis();
    step->setTypeWildcard();
    step->setNameWildcard();
    step->setNamespaceWildcard();
    static_cast<DataItemNav*>(yyvsp[-2].dataItemNav)->addStep(step);
    static_cast<DataItemNav*>(yyvsp[-2].dataItemNav)->addStep(yyvsp[0].navStep);
    yyval.dataItemNav = yyvsp[-2].dataItemNav;
  ;
    break;}
case 67:
#line 852 "XPathParser.y"
{
          importStep(yyvsp[-1].navStep, yyvsp[0].navStep);

    if(yyvsp[0].navStep->getTypeSet()) {
      yyvsp[-1].navStep->setNodeType(yyvsp[0].navStep->getNodeType());
    }

    yyval.navStep = yyvsp[-1].navStep;
    delete yyvsp[0].navStep;
  ;
    break;}
case 68:
#line 863 "XPathParser.y"
{
      importStep(yyvsp[-2].navStep, yyvsp[-1].navStep);

    if(yyvsp[-1].navStep->getTypeSet()) {
      yyvsp[-2].navStep->setNodeType(yyvsp[-1].navStep->getNodeType());
    }

    yyvsp[-2].navStep->addPredicates(*(yyvsp[0].predStore));
    yyval.navStep = yyvsp[-2].navStep;
    delete yyvsp[0].predStore;
    delete yyvsp[-1].navStep;
  ;
    break;}
case 69:
#line 876 "XPathParser.y"
{  ///Extra [4]
          ChildAxis *step = new ChildAxis();
    importStep(step, yyvsp[0].navStep);

    if(yyvsp[0].navStep->getTypeSet()) {
      step->setNodeType(yyvsp[0].navStep->getNodeType());
    }
    else if(!(yyvsp[0].navStep->getTypeSet() || step->getTypeWildcard())) {
      step->setNodeType(XERCES_CPP_NAMESPACE_QUALIFIER DOMNode::ELEMENT_NODE);
    }

    delete yyvsp[0].navStep;
    yyval.navStep = step;
  ;
    break;}
case 70:
#line 891 "XPathParser.y"
{  ///Extra

          ChildAxis *step = new ChildAxis();
    importStep(step, yyvsp[-1].navStep);

    if(yyvsp[-1].navStep->getTypeSet()) {
      step->setNodeType(yyvsp[-1].navStep->getNodeType());
    }
    else if(!(yyvsp[-1].navStep->getTypeSet() || step->getTypeWildcard())) {
      step->setNodeType(XERCES_CPP_NAMESPACE_QUALIFIER DOMNode::ELEMENT_NODE);
    }

    step->addPredicates(*(yyvsp[0].predStore));
    yyval.navStep = step;
    delete yyvsp[0].predStore;
    delete yyvsp[-1].navStep;
  ;
    break;}
case 71:
#line 909 "XPathParser.y"
{
    yyval.navStep = yyvsp[0].navStep;
  ;
    break;}
case 72:
#line 926 "XPathParser.y"
{
    yyval.navStep = yyvsp[0].navStep;
  ;
    break;}
case 73:
#line 930 "XPathParser.y"
{
    yyval.navStep = yyvsp[0].navStep;
  ;
    break;}
case 74:
#line 946 "XPathParser.y"
{
          InheritedAttributeAxis *at = new InheritedAttributeAxis;
    at->setNodeType(XERCES_CPP_NAMESPACE_QUALIFIER DOMNode::ATTRIBUTE_NODE);
    yyval.navStep = at;
  ;
    break;}
case 75:
#line 952 "XPathParser.y"
{
          AttributeAxis *at = new AttributeAxis;
    at->setNodeType(XERCES_CPP_NAMESPACE_QUALIFIER DOMNode::ATTRIBUTE_NODE);
    yyval.navStep = at;

  ;
    break;}
case 76:
#line 973 "XPathParser.y"
{
    SelfAxis *step = new SelfAxis;
    step->setNamespaceWildcard();
    step->setNameWildcard();
    step->setTypeWildcard();
    yyval.navStep = step;
  ;
    break;}
case 77:
#line 981 "XPathParser.y"
{
    ParentAxis *step = new ParentAxis;
    step->setNameWildcard();
    step->setNamespaceWildcard();
    step->setTypeWildcard();
    yyval.navStep = step;
  ;
    break;}
case 78:
#line 1004 "XPathParser.y"
{
    vector<PredicateStep*> *store = new vector<PredicateStep*>;
    store->push_back(yyvsp[0].predStep);
    yyval.predStore = store;

  ;
    break;}
case 79:
#line 1011 "XPathParser.y"
{
    yyvsp[-1].predStore->push_back(yyvsp[0].predStep);
    yyval.predStore = yyvsp[-1].predStore;
  ;
    break;}
case 80:
#line 1027 "XPathParser.y"
{
          DataItem *itemCopy = yyvsp[-1].dataItem;
    PredicateStepExpr *predStep = new PredicateStepExprXPath(itemCopy);
    yyval.predStep = predStep;
     ;
    break;}
case 81:
#line 1045 "XPathParser.y"
{
    yyval.navStep = yyvsp[0].navStep;
  ;
    break;}
case 82:
#line 1049 "XPathParser.y"
{
    yyval.navStep = yyvsp[0].navStep;
  ;
    break;}
case 83:
#line 1053 "XPathParser.y"
{
    NavStep *step = new NavStep();
    step->setNodeName(yyvsp[-1].wString);
    step->setNodeType(XERCES_CPP_NAMESPACE_QUALIFIER DOMNode::PROCESSING_INSTRUCTION_NODE);
    step->setNamespaceWildcard();
    yyval.navStep = step;
  ;
    break;}
case 84:
#line 1076 "XPathParser.y"
{
    NavStep *step = new NavStep();
    step->setNodeType(XERCES_CPP_NAMESPACE_QUALIFIER DOMNode::COMMENT_NODE);
    step->setNameWildcard();
    step->setNamespaceWildcard();
    yyval.navStep = step;
  ;
    break;}
case 85:
#line 1084 "XPathParser.y"
{
    NavStep *step = new NavStep();
    step->setNodeType(XERCES_CPP_NAMESPACE_QUALIFIER DOMNode::TEXT_NODE);
    step->setNameWildcard();
    step->setNamespaceWildcard();
    yyval.navStep = step;
  ;
    break;}
case 86:
#line 1092 "XPathParser.y"
{
    NavStep *step = new NavStep();
    step->setNodeType(XERCES_CPP_NAMESPACE_QUALIFIER DOMNode::PROCESSING_INSTRUCTION_NODE);
    step->setNameWildcard();
    step->setNamespaceWildcard();
    yyval.navStep = step;
  ;
    break;}
case 87:
#line 1100 "XPathParser.y"
{
    NavStep *step = new NavStep();
    step->setTypeWildcard();
    step->setNameWildcard();
    step->setNamespaceWildcard();
    yyval.navStep = step;
  ;
    break;}
case 88:
#line 1121 "XPathParser.y"
{
    NavStep *step = new NavStep();
    step->setNameWildcard();
    step->setNamespaceWildcard();
    yyval.navStep = step;
  ;
    break;}
case 89:
#line 1128 "XPathParser.y"
{
    NavStep *step = new NavStep();
    step->setNameWildcard();
    step->setNodePrefix(yyvsp[-2].dString);
    yyval.navStep = step;
  ;
    break;}
case 90:
#line 1135 "XPathParser.y"
{
    NavStep *step = new NavStep();
    step->setNodeName(yyvsp[0].dString);
    step->setNodePrefix(yyvsp[-2].dString);
    yyval.navStep = step;
  ;
    break;}
case 91:
#line 1142 "XPathParser.y"
{     ///Extra? [37]
    NavStep *step = new NavStep();
    step->setNodeName(yyvsp[0].dString);
    yyval.navStep = step;
  ;
    break;}
case 92:
#line 1178 "XPathParser.y"
{
      AncestorAxis *step = new AncestorAxis();
    step->setNodeType(XERCES_CPP_NAMESPACE_QUALIFIER DOMNode::ELEMENT_NODE);
    yyval.navStep = step;
  ;
    break;}
case 93:
#line 1184 "XPathParser.y"
{
      AncestorOrSelfAxis *step = new AncestorOrSelfAxis();
    step->setNodeType(XERCES_CPP_NAMESPACE_QUALIFIER DOMNode::ELEMENT_NODE);
    yyval.navStep = step;
  ;
    break;}
case 94:
#line 1190 "XPathParser.y"
{
      AttributeAxis *step = new AttributeAxis();
    step->setNodeType(XERCES_CPP_NAMESPACE_QUALIFIER DOMNode::ATTRIBUTE_NODE);
    yyval.navStep = step;
  ;
    break;}
case 95:
#line 1196 "XPathParser.y"
{   ///Extra [6]
    InheritedAttributeAxis *step = new InheritedAttributeAxis();
    step->setNodeType(XERCES_CPP_NAMESPACE_QUALIFIER DOMNode::ATTRIBUTE_NODE);
    yyval.navStep = step;
  ;
    break;}
case 96:
#line 1202 "XPathParser.y"
{
    ChildAxis *step = new ChildAxis();
    step->setNodeType(XERCES_CPP_NAMESPACE_QUALIFIER DOMNode::ELEMENT_NODE);
    yyval.navStep = step;
  ;
    break;}
case 97:
#line 1208 "XPathParser.y"
{
    DescendantAxis *step = new DescendantAxis();
    step->setNodeType(XERCES_CPP_NAMESPACE_QUALIFIER DOMNode::ELEMENT_NODE);
    yyval.navStep = step;
  ;
    break;}
case 98:
#line 1214 "XPathParser.y"
{
    DescendantOrSelfAxis *step = new DescendantOrSelfAxis();
    step->setNodeType(XERCES_CPP_NAMESPACE_QUALIFIER DOMNode::ELEMENT_NODE);
    yyval.navStep = step;
  ;
    break;}
case 99:
#line 1220 "XPathParser.y"
{
    FollowingAxis *step = new FollowingAxis();
    step->setNodeType(XERCES_CPP_NAMESPACE_QUALIFIER DOMNode::ELEMENT_NODE);
    yyval.navStep = step;
  ;
    break;}
case 100:
#line 1226 "XPathParser.y"
{
    FollowingSiblingAxis *step = new FollowingSiblingAxis();
    step->setNodeType(XERCES_CPP_NAMESPACE_QUALIFIER DOMNode::ELEMENT_NODE);
    yyval.navStep = step;
  ;
    break;}
case 101:
#line 1232 "XPathParser.y"
{
    NamespaceAxis *step = new NamespaceAxis();
    /*step->setNodeType(DOM_Node::XPATH_NAMESPACE_NODE);*/
    step->setNodeType(XPATH_NAMESPACE_NODE);
    yyval.navStep = step;
  ;
    break;}
case 102:
#line 1239 "XPathParser.y"
{
    ParentAxis *step = new ParentAxis();
    step->setNodeType(XERCES_CPP_NAMESPACE_QUALIFIER DOMNode::ELEMENT_NODE);
    yyval.navStep = step;
  ;
    break;}
case 103:
#line 1245 "XPathParser.y"
{
    PrecedingAxis *step = new PrecedingAxis();
    step->setNodeType(XERCES_CPP_NAMESPACE_QUALIFIER DOMNode::ELEMENT_NODE);
    yyval.navStep = step;
  ;
    break;}
case 104:
#line 1251 "XPathParser.y"
{
    PrecedingSiblingAxis *step = new PrecedingSiblingAxis();
    step->setNodeType(XERCES_CPP_NAMESPACE_QUALIFIER DOMNode::ELEMENT_NODE);
    yyval.navStep = step;
  ;
    break;}
case 105:
#line 1257 "XPathParser.y"
{
    SelfAxis *step = new SelfAxis();
    step->setNamespaceWildcard();
    step->setNodeType(XERCES_CPP_NAMESPACE_QUALIFIER DOMNode::ELEMENT_NODE);
    yyval.navStep = step;
  ;
    break;}
}
   /* the action file gets copied in in place of this dollarsign */
#line 543 "/usr/lib/bison.simple"

  yyvsp -= yylen;
  yyssp -= yylen;
#ifdef YYLSP_NEEDED
  yylsp -= yylen;
#endif

#if YYDEBUG != 0
  if (yydebug)
    {
      short *ssp1 = yyss - 1;
      fprintf (stderr, "state stack now");
      while (ssp1 != yyssp)
	fprintf (stderr, " %d", *++ssp1);
      fprintf (stderr, "\n");
    }
#endif

  *++yyvsp = yyval;

#ifdef YYLSP_NEEDED
  yylsp++;
  if (yylen == 0)
    {
      yylsp->first_line = yylloc.first_line;
      yylsp->first_column = yylloc.first_column;
      yylsp->last_line = (yylsp-1)->last_line;
      yylsp->last_column = (yylsp-1)->last_column;
      yylsp->text = 0;
    }
  else
    {
      yylsp->last_line = (yylsp+yylen-1)->last_line;
      yylsp->last_column = (yylsp+yylen-1)->last_column;
    }
#endif

  /* Now "shift" the result of the reduction.
     Determine what state that goes to,
     based on the state we popped back to
     and the rule number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTBASE] + *yyssp;
  if (yystate >= 0 && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTBASE];

  goto yynewstate;

yyerrlab:   /* here on detecting error */

  if (! yyerrstatus)
    /* If not already recovering from an error, report this error.  */
    {
      ++yynerrs;

#ifdef YYERROR_VERBOSE
      yyn = yypact[yystate];

      if (yyn > YYFLAG && yyn < YYLAST)
	{
	  int size = 0;
	  char *msg;
	  int x, count;

	  count = 0;
	  /* Start X at -yyn if nec to avoid negative indexes in yycheck.  */
	  for (x = (yyn < 0 ? -yyn : 0);
	       x < (sizeof(yytname) / sizeof(char *)); x++)
	    if (yycheck[x + yyn] == x)
	      size += strlen(yytname[x]) + 15, count++;
	  msg = (char *) malloc(size + 15);
	  if (msg != 0)
	    {
	      strcpy(msg, "parse error");

	      if (count < 5)
		{
		  count = 0;
		  for (x = (yyn < 0 ? -yyn : 0);
		       x < (sizeof(yytname) / sizeof(char *)); x++)
		    if (yycheck[x + yyn] == x)
		      {
			strcat(msg, count == 0 ? ", expecting `" : " or `");
			strcat(msg, yytname[x]);
			strcat(msg, "'");
			count++;
		      }
		}
	      yyerror(msg);
	      free(msg);
	    }
	  else
	    yyerror ("parse error; also virtual memory exceeded");
	}
      else
#endif /* YYERROR_VERBOSE */
	yyerror("parse error");
    }

  goto yyerrlab1;
yyerrlab1:   /* here on error raised explicitly by an action */

  if (yyerrstatus == 3)
    {
      /* if just tried and failed to reuse lookahead token after an error, discard it.  */

      /* return failure if at end of input */
      if (yychar == YYEOF)
	YYABORT;

#if YYDEBUG != 0
      if (yydebug)
	fprintf(stderr, "Discarding token %d (%s).\n", yychar, yytname[yychar1]);
#endif

      yychar = YYEMPTY;
    }

  /* Else will try to reuse lookahead token
     after shifting the error token.  */

  yyerrstatus = 3;		/* Each real token shifted decrements this */

  goto yyerrhandle;

yyerrdefault:  /* current state does not do anything special for the error token. */

#if 0
  /* This is wrong; only states that explicitly want error tokens
     should shift them.  */
  yyn = yydefact[yystate];  /* If its default is to accept any token, ok.  Otherwise pop it.*/
  if (yyn) goto yydefault;
#endif

yyerrpop:   /* pop the current state because it cannot handle the error token */

  if (yyssp == yyss) YYABORT;
  yyvsp--;
  yystate = *--yyssp;
#ifdef YYLSP_NEEDED
  yylsp--;
#endif

#if YYDEBUG != 0
  if (yydebug)
    {
      short *ssp1 = yyss - 1;
      fprintf (stderr, "Error: state stack now");
      while (ssp1 != yyssp)
	fprintf (stderr, " %d", *++ssp1);
      fprintf (stderr, "\n");
    }
#endif

yyerrhandle:

  yyn = yypact[yystate];
  if (yyn == YYFLAG)
    goto yyerrdefault;

  yyn += YYTERROR;
  if (yyn < 0 || yyn > YYLAST || yycheck[yyn] != YYTERROR)
    goto yyerrdefault;

  yyn = yytable[yyn];
  if (yyn < 0)
    {
      if (yyn == YYFLAG)
	goto yyerrpop;
      yyn = -yyn;
      goto yyreduce;
    }
  else if (yyn == 0)
    goto yyerrpop;

  if (yyn == YYFINAL)
    YYACCEPT;

#if YYDEBUG != 0
  if (yydebug)
    fprintf(stderr, "Shifting error token, ");
#endif

  *++yyvsp = yylval;
#ifdef YYLSP_NEEDED
  *++yylsp = yylloc;
#endif

  yystate = yyn;
  goto yynewstate;

 yyacceptlab:
  /* YYACCEPT comes here.  */
  if (yyfree_stacks)
    {
      free (yyss);
      free (yyvs);
#ifdef YYLSP_NEEDED
      free (yyls);
#endif
    }
  return 0;

 yyabortlab:
  /* YYABORT comes here.  */
  if (yyfree_stacks)
    {
      free (yyss);
      free (yyvs);
#ifdef YYLSP_NEEDED
      free (yyls);
#endif
    }
  return 1;
}
#line 1268 "XPathParser.y"


void yyerror(const char *s)
{
  throw XPathParseException(s);
}

inline vector<const DataItem*> packageArgs(DataItem *arg1, DataItem *arg2)
{
  vector<const DataItem*> args;
  args.push_back(arg1);
  args.push_back(arg2);

  return args;
}

//imports the data in step 2 into step1
void importStep(NavStep *step1, NavStep *step2)
{

  const XMLCh *prefix = step2->getNodePrefix();
  XMLCh *clonedPrefix = new XMLCh[XERCES_CPP_NAMESPACE_QUALIFIER XMLString::stringLen(prefix)+1];
  XERCES_CPP_NAMESPACE_QUALIFIER XMLString::copyString(clonedPrefix,prefix);
  step1->setNodePrefix(clonedPrefix);

  const XMLCh *name = step2->getNodeName();
  XMLCh *clonedName = new XMLCh[XERCES_CPP_NAMESPACE_QUALIFIER XMLString::stringLen(name)+1];
  XERCES_CPP_NAMESPACE_QUALIFIER XMLString::copyString(clonedName,name);
  step1->setNodeName(clonedName);

  if(step2->getNameWildcard()) {
    step1->setNameWildcard();
  }
  if(step2->getNamespaceWildcard()) {
    step1->setNamespaceWildcard();
  }
  if(step2->getTypeWildcard()) {
    step1->setTypeWildcard();
  }

}
