/*
 * Copyright (c) 2001, DecisionSoft Limited All rights reserved.
 * Please see LICENSE.TXT for more information.
 */

#include "Scope.hpp"

Scope::Scope(Type type)
  : _map()
{
  _type = type;
}

Scope::Type Scope::getType() const
{
  return _type;  
}

Scope::VarHash &Scope::getMap()
{
  return _map;
}

const Scope::VarHash &Scope::getMap() const
{
  return _map; 
}
